Package net.shibboleth.idp.saml.xmlobject.impl

# Class ScopeUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
net.shibboleth.idp.saml.xmlobject.impl.ScopeUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

@ThreadSafe public class ScopeUnmarshaller extends AbstractXMLObjectUnmarshaller
Unmarshaller for `Scope`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`ScopeUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processAttribute(XMLObject xmlObject, Attr attribute)`
`protected void`
`processElementContent(XMLObject xmlObject, String elementContent)`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processChildElement, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

private final org.slf4j.Logger log
Logger.

## Constructor Details

### ScopeUnmarshaller

public ScopeUnmarshaller()

## Method Details

### processAttribute

protected void processAttribute(@Nonnull XMLObject xmlObject, @Nonnull Attr attribute) throws UnmarshallingException

Overrides:
  `processAttribute` in class `AbstractXMLObjectUnmarshaller`
Throws:
  `UnmarshallingException`

### processElementContent

protected void processElementContent(@Nonnull XMLObject xmlObject, @Nonnull String elementContent)

Overrides:
  `processElementContent` in class `AbstractXMLObjectUnmarshaller`